Search Unity

  1. Unity 2020.1 has been released.
    Dismiss Notice
  2. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice

My Assets error (Failed to call Unity ID to get auth code)

Discussion in 'Package Manager' started by ngalindoc, Jun 5, 2020.

  1. ngalindoc

    ngalindoc

    Joined:
    May 4, 2020
    Posts:
    1
    Hi everyone, I've been searching around for a possible solution to this for some time and I still haven't found anything to help.

    I downloaded Unity Hub and Unity 2020.1.0b7 on my machine (Ubuntu 18.04.4 LTS) and everything was okay until I tried to open 'My Assets' inside the Package Manager. Inside the Package Manager, I get the error "Error refreshing packages, see console". The console output is:


    [PackageManager] Error System.InvalidOperationException: Failed to call Unity ID to get auth code.
    UnityEditor.EditorApplication:Internal_CallUpdateFunctions() (at /home/builduser/buildslave/unity/build/Editor/Mono/EditorApplication.cs:338)


    I have no proxy set and 'env | grep -i proxy' outputs nothing as I have no proxy. I'm not using a firewall or antivirus as this is a new install of Ubuntu. Everything is also up to date on Ubuntu. I'll add my log file at the end.

    I would really appreciate any help with this problem. Thanks!
     

    Attached Files:

  2. ggamerz61

    ggamerz61

    Joined:
    Apr 19, 2020
    Posts:
    1
    Have you fix your problem yet? cause I got the same problem
     
  3. manuelcast

    manuelcast

    Joined:
    Mar 7, 2016
    Posts:
    2
    I also have the same problem and I am a Unity Pro paid subscriber and no one has helped me with this despite me trying to get some sort of communication with Unity I don't seem to find anyone live person to even speak to. Very difficult to get help!
     
  4. shmeeb

    shmeeb

    Joined:
    Feb 7, 2016
    Posts:
    1
    Is this a recent issue? I've just found it happening to me too
     
  5. manuelcast

    manuelcast

    Joined:
    Mar 7, 2016
    Posts:
    2
    It works with units 2017 but not with newer version and then you get errors with the newer asset packages if you try to use the assets in the Unity 2017 version. They have so much stuff and info but it is impossible to navigate through all the literature that they have. It works on a PC fine but the Mac does not work in the newer versions. Must be a Unity bug on the Mac version.
     
  6. UnityMaru

    UnityMaru

    Community Engagement Manager Unity Technologies

    Joined:
    Mar 16, 2016
    Posts:
    611
  7. mdrunk

    mdrunk

    Joined:
    Apr 26, 2014
    Posts:
    9
    I'm on pc, v2019.4, and am getting this same error, but on top of that, I can't sign into unity hub, either. are the servers down? InkedInkedScreenshot 2020-07-30 13.37.51_LI.jpg
     
unityunity